"""add target pg_stat_statements flag

Revision ID: 0003_pg_stat_statements_flag
Revises: 0002_alert_definitions
Create Date: 2026-02-12
"""

from alembic import op
import sqlalchemy as sa


revision = "0003_pg_stat_statements_flag"
down_revision = "0002_alert_definitions"
branch_labels = None
depends_on = None


def upgrade() -> None:
    op.add_column(
        "targets",
        sa.Column("use_pg_stat_statements", sa.Boolean(), nullable=False, server_default=sa.text("true")),
    )


def downgrade() -> None:
    op.drop_column("targets", "use_pg_stat_statements")
